Subject: bug#55304: build: INSTALL file is missing from .tar.gz snapshots

From: Pádraig Brady <[email-masked]>
Date: Sat, 7 May 2022 22:02:56 +0100

tag 55304 notabug
close 55304
stop

On 07/05/2022 20:10, dg1727 via GNU coreutils Bug Reports wrote:
> In the following snapshot:
> 
> http://git.savannah.gnu.org/cgit/coreutils.git/snapshot/coreutils-9.1.tar.gz
> 
> ... the file README says the following a few paragraphs from the top:
> 
>> If this file came to you as part of a tar archive, then see the file INSTALL
>> for compilation and installation instructions.
> 
> The file INSTALL doesn't seem to be in the tar archive.
> 
> Can this file be added to the snapshot, to assist users compiling the
> coreutils?
> 
> I'm having an issue attempting to compile; if the INSTALL file helps me with
> this issue, then I won't need to ask on the [email-masked] mailing list.
> 
> Many thanks in advance.

snapshots of a git repo are generally treated differently from a "dist" tarballs.
Specifically to build from a git snapshot, you would be acting like a developer,
and so would follow README-hacking instructions.

Note INSTALL _is_ present in the dist tarball, but not in the snapshot,
as that file comes from the gnulib submodule, and following README-hacking
instructions should populate all gnulib files.

If you only want to build, then it's best to go from the distribution tarballs
available at https://ftp.gnu.org/pub/gnu/coreutils/

cheers,
Pádraig